/**
  ******************************************************************************
  * @file	commands.h
  * @brief  Header for command.c file, the command interpreter, a generic one
 ******************************************************************************
  * @author: Thomas Kuschel KW4NZ
  * created 2022-06-04
  *
 ******************************************************************************/
/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __COMMANDS_H_
#define __COMMANDS_H_

#ifdef __cplusplus
extern "C" {
#endif

//struct command_ctx_s *command_inst;
//typedef struct command_ctx_s *command_inst_t;
extern RTC_HandleTypeDef hrtc;

/* function prototypes */
int do_help(char *args);
int do_devid(char *args);
int do_info(char *args);
int do_sinfo(char *args);
int do_test(/*command_inst_t inst,*/ char *args);
int do_time(char *args);

int cmd_interpreter(char * cmdline);


#ifdef __cplusplus
}
#endif

#endif /* __COMMANDS_H_ */
